Package skyview.data

# Class NormedGaussSmoother

java.lang.Object
skyview.process.Processor
skyview.data.WeightedSmoother
skyview.data.NormedGaussSmoother

All Implemented Interfaces:
  `Serializable`, `Component`

public class NormedGaussSmoother extends WeightedSmoother

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NormedGaussSmoother()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`void`
`updateHeader(nom.tam.fits.Header header)`
Update the FITS header to indicate what processing was done.

### Methods inherited from class skyview.data.WeightedSmoother

`process, setSmoothSize, smooth, updatesOutput`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NormedGaussSmoother

public NormedGaussSmoother()

## Method Details

### updateHeader

public void updateHeader(nom.tam.fits.Header header)
Description copied from class: `Processor`
Update the FITS header to indicate what processing was done.

Specified by:
  `updateHeader` in class `Processor`

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.